Package org.eclipse.viatra.query.runtime.localsearch.exceptions

## Class LocalSearchException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.eclipse.viatra.query.runtime.matchers.ViatraQueryRuntimeException
        - - org.eclipse.viatra.query.runtime.localsearch.exceptions.LocalSearchException

- All Implemented Interfaces:
    `java.io.Serializable`

      public class LocalSearchException
      extends ViatraQueryRuntimeException

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `PLAN_EXECUTION_ERROR` |
    `static java.lang.String` | `TYPE_ERROR` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `LocalSearchException​(java.lang.String description)` |
    `LocalSearchException​(java.lang.String description, java.lang.Throwable rootException)` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### PLAN_EXECUTION_ERROR

          public static final java.lang.String PLAN_EXECUTION_ERROR

      See Also:
        Constant Field Values

    - #### TYPE_ERROR

          public static final java.lang.String TYPE_ERROR

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### LocalSearchException

          public LocalSearchException​(java.lang.String description,
                                      java.lang.Throwable rootException)

    - #### LocalSearchException

          public LocalSearchException​(java.lang.String description)